Support » Plugin: Germanized for WooCommerce » Fatal Error after Plugin Update…

  • Resolved freiheitenwelt

    (@freiheitenwelt)


    Hi there,

    yesterday I started a simply Plugin Update via the WordPress Backend. Since then my homepage (www.freiheitenwelt.de) is down and I am getting the following error. I can’t access anything – No Backend – Norhing… Please help…

    Fatal error: Uncaught Error: Class ‘WC_GZD_Dependencies’ not found in /var/www/web28596838/html/freiheitenwelt.de/wordpress/wp-content/plugins/woocommerce-germanized/woocommerce-germanized.php:122 Stack trace: #0 /var/www/web28596838/html/freiheitenwelt.de/wordpress/wp-content/plugins/woocommerce-germanized/woocommerce-germanized.php(7: WooCommerce_Germanized->__construct() #1 /var/www/web28596838/html/freiheitenwelt.de/wordpress/wp-content/plugins/woocommerce-germanized/woocommerce-germanized.php(846): WooCommerce_Germanized::instance() #2 /var/www/web28596838/html/freiheitenwelt.de/wordpress/wp-content/plugins/woocommerce-germanized/woocommerce-germanized.php(849): WC_germanized() #3 /var/www/web28596838/html/freiheitenwelt.de/wordpress/wp-settings.php(273): include_once(‘/var/www/web285…’) #4 /var/www/web28596838/html/freiheitenwelt.de/wordpress/wp-config.php(134): require_once(‘/var/www/web285…’) #5 /var/www/web28596838/html/freiheitenwelt.de/wordpress/wp-load.php(39): require_once(‘/var/www/web285…’) #6 /var/ in /var/www/web28596838/html/freiheitenwelt.de/wordpress/wp-content/plugins/woocommerce-germanized/woocommerce-germanized.php on line 122

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author vendidero

    (@vendidero)

    Hi,

    seems like either your updated version is broken (not complete – you may check that manually via FTP in the wp-content/plugins/woocommerce-germanized folder and compare it with the latest version available via download https://downloads.wordpress.org/plugin/woocommerce-germanized.1.8.1.zip) or your PHP installation is really old and autoloading the class (WC_GZD_Dependencies) doesn’t work.

    Either way – delete the whole folder wp-content/plugins/woocommerce-germanized and upload the newest version manually via FTP.

    cheers

    Hi there,

    I will try the update. PHP is 5.6 and wasn’t changed recently…

    Greetings

    Ok – I just deleted the old folder. Tried to open homepage – Still same error…

    Kind of strange – I also deleted the browser cache…

    Will upload new file now…

    Alright – I just uploaded the files from the download link you sent me before….

    Still the same error. ?!?!

    I got no idea what to do?

    Plugin Author vendidero

    (@vendidero)

    Hi there,

    you may provide me with some login credentials (FTP, WP-Admin) and I’ll see what I can do – info@vendidero.de. Maybe there is some problem with the autoloading of the classes.

    cheers

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Fatal Error after Plugin Update…’ is closed to new replies.